.box-container {
  width: 100%;
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  align-items: flex-start;
}

.box {
  padding: 10px;
}

.box .mat-card {
  min-height: 300px;
}

.box .inner-card-container {
  display: flex;
  flex-flow: column;
  height: -webkit-fill-available;
  flex-grow: 1;
}

.box .inner-card-container .box-content {
  flex-grow: 1;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
}

.box-header {
  display: flex;
  flex-wrap: nowrap;
  flex-flow: row;
  justify-content: flex-start;
}

.box-header img {
  margin-right: 10px;
}

.box-header a {
  font-weight: bold;
}

p.rs-address {
  margin-top: 10px;
  font-size: .7rem;
  line-height: .8rem;
  color: #6c757d;
}

.box-child {
  display: flex;
  flex-direction: column;
}

.box-child h3 {
  font-size: 1.2rem;
  margin: 10px 0 5px 0;
  font-weight: 100;
  padding: 0;
  color: #6c757d;
}

.box-child .box-child-item {
  /* margin-left:5px; */
  padding: 2px 4px 2px 0;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 5px;
}

.box-child .box-child-item:hover {
  background-color: #f8f8f8;
}

.box-child .box-child-item .item-label {
  flex-grow: 1;
  /* font-size:1.2rem; */
}

.box-child .box-child-item .item-count {
  display: flex;
  flex-flow: column;
  justify-content: flex-end;
  align-items: flex-end;
}

.box-child .box-child-item .item-count .item-count-number {
  font-size: 1.0rem;
  text-align: right;
  line-height: 1.0rem;
}

.box-child .box-child-item .item-count .item-unit-label {
  font-size: .7rem;
  line-height: .7rem;
  color: #6c757d;
  text-align: right;
}

table {
  width: 100%;
}
/*
td {
  text-align: right;
} */


/*DATA TABLE*/
/* table td,
table th {
  padding: 8px 16px;
}

table td:not(:first-child) {
  text-align: right;
}

table th:first-child {
  text-align: left;
} */

/* table td:nth-child(even),
table th:nth-child(even) {
  background-color: #FAFAFA;
} */
.table-main {
  border: none;
  border-collapse: separate;
  border-spacing: 0;
  font: normal 13px Arial, sans-serif;
  /* width:100%;
  max-width: 100vw; */
}

.table-main thead th {
  white-space:nowrap;
  border-top:1px solid #E1E2E6;
  border-bottom:1px solid #E1E2E6;
}
.table-main tbody tr:hover td{
  background-color: #f8f8f8;
}
.table-main tbody td {
  white-space: nowrap;
  border-bottom: 1px solid #E1E2E6;
  overflow: hidden;
  vertical-align: bottom;
  align-items: baseline;
}
.table-main thead th div{
  padding: 8px 16px;
}
.table-main tbody td > div.data-value, .table-main tbody td > div.rs-name{
  display: flex;
  flex-flow: column;
  height:40px;
}
.table-main tbody td div.data-value{
  justify-content:center;
  padding-left:16px;
  padding-right:16px;
}
.table-main tbody td div.rs-name{
  justify-content:flex-start;
  align-items: flex-start;
  margin:0;
}
.table-main tbody td div.rs-name a{
  flex-grow: 1;
  padding: 4px 0px 4px 16px;
}
.table-main tbody td div.rs-name .rs-attr{
  width:100%;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
  color:#ccc;
  font-size: .7rem;
  line-height: .7rem;
}
.table-main tbody td div.rs-name .rs-attr span{
  margin:2px 16px;
}
.table-main tbody td div a{
  display: block;
}
.table-main tbody td div.number{
  border-bottom-width: 2px;
  border-bottom-style: solid;
  border-bottom-color: #fff;
}

.table {
  position: relative;
}

.table-scroll {
  overflow-x: auto;
  overflow-y: visible;
  padding-bottom: 5px;
  margin-left: 30%;
  width: 70%;
  max-width: 70vw;
}

.table-main .fix-col {
  left: 0;
  position: absolute;
  z-index:1;
  top: auto;
  text-align: left;
  background-color: rgb(253,253,253,1);
  border-bottom:2px solid rgb(253,253,253,1);
}
.table-main tbody td.fix-col div{
  padding:0!important;
}
.table-main .text-left{
  text-align: left;
}
.table-main .text-center{
  text-align: center;
}
.table-main .text-right{
  text-align: right;
}
.text-danger{
  color:#D8232A;
}
.table-container{
  padding-top:30px;
  padding-bottom:30px;
  /* overflow-x: hidden;
  max-width: 100vw; */
}
.rs-name{
  display: flex;
  flex-flow: column;
}
.rs-name.need-complete a{
  color:#D8232A;
}
.filter-box{
  margin-bottom:15px;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
}
.search-rs {
  position: relative;
  width:50%;
}

.search-rs-input {
  border-radius: 8px;
  padding: 9px 0px 9px 12px;
  width: calc(100% - 12px);
  border: 1px solid #DADADA;
  font-size: 16px;
  line-height: 21px;
  color: #858A93;
  background-color: #fff;
  outline: none;
}

.search-rs-input:focus {
  border: 1px solid #D8232A;
  box-shadow: none;
}

.as-placeholder {
  position: absolute;
  right: 3px;
  top: 10px;
  color: #DADADA;
}

.search-rs .mat-icon {
  font-size: 20px !important;
}
.count-info{
  text-align:right;
  color:#8F939B;
}
@media only screen and (max-width: 599px) {
  .table-main .fix-col{
    width:50%;
    max-width: 50%;
    overflow-x: hidden;
  }
  .table-main .fix-col a{
    width:inherit;
    overflow: hidden;
    word-wrap: break-word;
  }
  .table-scroll {
    margin-left: 50%;
    max-width: 50%;
  }
  .table-main{
    max-width: 100%;
  }
  .filter-box{
    flex-flow: column;
    justify-content: flex-start;
    padding-left: 15px;
    padding-right:15px;
  }
  .filter-box .search-rs{
    width:100%;
    margin-bottom:15px;
  }
  .filter-box .sorting, .filter-box .sorting .mat-form-field{
    width:100%;
    display: block;
  }
  .count-info{
    margin-right:15px;
  }
}
@media only screen and (min-width: 600px) {
  .table-main .fix-col{
    width: 30%;
    max-width:30%;
  }
  .table-scroll {
    margin-left: 30%;
    width:70%;
    max-width: 70%;
  }
  .table-main{
    max-width: 100%;
  }
}


@media only screen and (max-width: 677px) {

  /* Display 1 card per row*/
  .box {
    width: calc(100% - 30px);
  }

}

@media only screen and (min-width: 678px) and (max-width: 992px) {

  /* Display 2 card per row*/
  .box {
    width: calc(50% - 30px);
  }
  .table-container{
    padding-left: 30px;
    padding-right: 30px;
  }
}

@media only screen and (min-width: 993px) and (max-width: 1200px) {

  /* Display 3 card per row*/
  .box {
    width: calc(33.3% - 30px);
  }
  .table-container{
    padding-left: 30px;
    padding-right: 30px;
  }

}

@media only screen and (min-width: 1201px) and (max-width: 1400px) {

  /* Display 4 card per row*/
  .box {
    width: calc(25% - 30px);
  }
  .table-container{
    padding-left: 60px;
    padding-right: 60px;
  }
}

@media only screen and (min-width: 1401px) {

  /* Display 5 card per row*/
  .box {
    width: calc(20% - 30px);
  }
  .table-container{
    padding-left: 60px;
    padding-right: 60px;
  }
}
